Skip to content

Get Fragment Used By

POST /rest/asset/v2/fragment/usedby

Permissions Read-Only AssetsAccess Design Studio

Build a request and mock the response

Method: POST
Path: /rest/asset/v2/fragment/usedby
Tag: Fragments (New)
Operation ID: getContentUsedByUsingPOST_fragment

Returns a list of assets that reference the specified fragment. Required Permissions: Read-Only Assets, Access Design Studio.

Formats

  • Request: application/json
  • Response: application/json

Request

Query parameters

Name Type Required Description Constraints
access_token string Yes Token for Authorization

Header parameters

Name Type Required Description Constraints
x-app-type string Yes Application type header enum: marketo

Request body

Name: usedByRequest
Required: Yes
Schema: model: UsedByRequestDto

usedByRequest

Generated example

{
  "assetId": "123",
  "pageIndex": 123,
  "pageSize": 123,
  "type": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/asset/v2/fragment/usedby?access_token={{access_token}}
x-app-type: marketo
Content-Type: application/json
Accept: application/json

{
  "assetId": "123",
  "pageIndex": 123,
  "pageSize": 123,
  "type": "string"
}

Responses

200 — OK

Schema: model: UsedByResponse

Generated example

{
  "success": true,
  "requestId": "123",
  "result": [
    {
      "id": "123",
      "name": "Example name",
      "appData": {
        "editorType": "string",
        "folderId": "123",
        "workspaceId": "123"
      },
      "channel": "string",
      "contentType": "string",
      "externalId": "123"
    }
  ],
  "pageDetails": {
    "totalItems": 123,
    "pageSize": 123,
    "currentPage": 123
  }
}

Referenced models

default — Error

Schema: model: ErrorResponse

Generated example

{
  "success": true,
  "requestId": "123",
  "errors": [
    {
      "key": "string",
      "message": "string",
      "code": "string",
      "dynamicMessage": "string",
      "type": "string",
      "source": "string",
      "errorMessage": "string",
      "errorPosition": {
        "line": 123,
        "column": 123
      }
    }
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.